'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgKlmDark = function SvgKlmDark(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 96 56",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    fill: "#fff",
    clipPath: "url(#KlmDark_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M65.88 20.213H29.105v6.296H65.88zM29.161 18.998c2.96 0 5.358-2.349 5.358-5.247s-2.399-5.246-5.358-5.246c-2.96 0-5.358 2.349-5.358 5.246s2.399 5.247 5.358 5.247M41.232 18.998c2.959 0 5.358-2.349 5.358-5.247s-2.4-5.246-5.359-5.246-5.358 2.349-5.358 5.246 2.4 5.247 5.358 5.247M53.415 18.998c2.96 0 5.358-2.349 5.358-5.247s-2.399-5.246-5.358-5.246c-2.96 0-5.359 2.349-5.359 5.246s2.4 5.247 5.359 5.247M65.598 18.998c2.96 0 5.359-2.349 5.359-5.247s-2.4-5.246-5.359-5.246-5.358 2.349-5.358 5.246 2.399 5.247 5.358 5.247M52.005 2.982h-9.138v2.872h9.138z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M48.959 0h-3.046v9.057h3.046z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fillRule: "evenodd",
    d: "M0 32.142h8.912v8.947l9.024-8.947H27.3L16.019 43.298 28.879 56H17.936l-8.968-8.781V56H0zM38.355 50.146V32.252h-9.138V56h24.254v-5.854zM56.63 32.252h15.116l4.4 13.365 4.512-13.364H96v23.72h-9.138V38.439l-6.204 17.536h-8.912l-6.091-17.536v17.536H56.63z",
    clipRule: "evenodd"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "KlmDark_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M0 0h96v56H0z"
  })))));
};

exports.ReactComponent = SvgKlmDark;
